Skip to main content
GET
/
api
/
v1
/
checkouts
List Checkouts
curl --request GET \
  --url https://business.coinbase.com/api/v1/checkouts \
  --header 'Authorization: Bearer <token>'
{
  "checkouts": [
    {
      "id": "68f7a946db0529ea9b6d3a12",
      "url": "https://payments.coinbase.com/payment-links/pl_01h8441j23abcd1234567890ef",
      "status": "ACTIVE",
      "amount": "100.50",
      "currency": "USDC",
      "network": "base",
      "address": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
      "createdAt": "2024-03-20T10:30:00Z",
      "updatedAt": "2024-03-20T10:30:00Z",
      "tokenAddress": "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
      "description": "Payment for order #12345",
      "metadata": {
        "invoiceId": "12345",
        "reference": "Payment for invoice #12345",
        "customerId": "cust_abc123"
      },
      "settlement": {
        "totalAmount": "100.00",
        "feeAmount": "1.25",
        "netAmount": "98.75",
        "currency": "USDC"
      },
      "transactionHash": "0x3a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b",
      "expiresAt": "2024-03-20T10:30:00Z",
      "successRedirectUrl": "https://example.com/success",
      "failRedirectUrl": "https://example.com/failed"
    }
  ],
  "nextPageToken": "eyJsYXN0X2lkIjogImFiYzEyMyIsICJ0aW1lc3RhbXAiOiAxNzA3ODIzNzAxfQ=="
}

Authorizations

Authorization
string
header
required

A JWT signed using your CDP API Key Secret, encoded in base64. Refer to the Generate Bearer Token section of our Authentication docs for information on how to generate your Bearer Token.

Query Parameters

pageSize
integer
default:20

The number of items to return per page.

Required range: 1 <= x <= 100
pageToken
string

The token for the next page of items. This should only be populated using the nextPageToken value from the previous response.

status
enum<string>

Filter by checkout status. The status of the checkout.

  • ACTIVE The checkout is active and can accept payments.
  • PROCESSING The checkout is processing a payment.
  • DEACTIVATED The checkout has been manually deactivated.
  • EXPIRED The checkout has expired based on the expiresAt timestamp.
  • COMPLETED The checkout has been successfully paid.
  • FAILED The checkout has failed due to a payment error.
Available options:
ACTIVE,
PROCESSING,
DEACTIVATED,
EXPIRED,
COMPLETED,
FAILED
Example:

"ACTIVE"

Response

Checkouts retrieved successfully.

checkouts
object[]
required
nextPageToken
string

The token for the next page of items, if any.

Example:

"eyJsYXN0X2lkIjogImFiYzEyMyIsICJ0aW1lc3RhbXAiOiAxNzA3ODIzNzAxfQ=="